Bug 17396 - t/DataTables/Members.t is unnecessary
Summary: t/DataTables/Members.t is unnecessary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-04 11:01 UTC by Jonathan Druart
Modified: 2017-06-14 22:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests (1.16 KB, patch)
2016-10-04 11:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests (1.29 KB, patch)
2016-10-04 14:35 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests (1.36 KB, patch)
2016-10-10 10:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-10-04 11:01:53 UTC
The subroutine C4::Utils::DataTables::Members::search is covered by tests from t/db_dependent/Utils/Datatables_Members.t
Comment 1 Jonathan Druart 2016-10-04 11:02:54 UTC
Created attachment 56023 [details] [review]
Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests

The subroutine C4::Utils::DataTables::Members::search is covered by
tests from t/db_dependent/Utils/Datatables_Members.t
Comment 2 Jonathan Druart 2016-10-04 11:03:32 UTC
No test plan, nothing to test here.
If you don't understand how to validate it, please pick another patch :)
Comment 3 Marc Véron 2016-10-04 14:35:13 UTC
Created attachment 56039 [details] [review]
Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests

The subroutine C4::Utils::DataTables::Members::search is covered by
tests from t/db_dependent/Utils/Datatables_Members.t

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Katrin Fischer 2016-10-10 10:21:59 UTC
Created attachment 56091 [details] [review]
[PASSED QA] Bug 17396: Remove unnecessary t/DataTables/Members.t is unnecessary tests

The subroutine C4::Utils::DataTables::Members::search is covered by
tests from t/db_dependent/Utils/Datatables_Members.t

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Brendan Gallagher 2016-10-10 12:32:13 UTC
Pushed to Master - Should be in the November Release 16.11 - Thanks!